traces
Create traces spans
Requires scopes: traces:write
POST
/
api
/
traces
/
{id}
/
spans
Create traces spans
curl --request POST \
--url https://evalgate.com/api/traces/{id}/spans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"input": true,
"type": "<string>",
"metadata": true,
"durationMs": 123,
"spanId": "<string>",
"evaluationRunId": 123,
"output": true,
"parentSpanId": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
'import requests
url = "https://evalgate.com/api/traces/{id}/spans"
payload = {
"name": "<string>",
"input": True,
"type": "<string>",
"metadata": True,
"durationMs": 123,
"spanId": "<string>",
"evaluationRunId": 123,
"output": True,
"parentSpanId": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
input: true,
type: '<string>',
metadata: true,
durationMs: 123,
spanId: '<string>',
evaluationRunId: 123,
output: true,
parentSpanId: '<string>',
startTime: '<string>',
endTime: '<string>'
})
};
fetch('https://evalgate.com/api/traces/{id}/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input": "<string>",
"type": "<string>",
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {
"model": "<string>",
"provider": "custom",
"tokenCount": 123,
"cost": 123,
"temperature": 123,
"tokens": 123,
"latencyMs": 123,
"language": "<string>",
"documentLength": 123,
"cacheHit": false
},
"provider": "<string>",
"durationMs": 123,
"traceId": 123,
"spanId": "<string>",
"evaluationRunId": 123,
"inputHash": "<string>",
"output": "<string>",
"model": "<string>",
"parentSpanId": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"tokenCount": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create traces spans
